Bug 1021047 - [patch] Koan does not work on Fedora 19 (cannot find module virtinst)
[patch] Koan does not work on Fedora 19 (cannot find module virtinst)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James C.
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-18 17:02 EDT by trivial+rhbugzilla
Modified: 2014-05-09 18:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: cobbler-2.4.4-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-03 15:57:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description trivial+rhbugzilla 2013-10-18 17:02:19 EDT
Description of problem:
When trying to install a machine with cobbler/koan I get the following backtrace:

root@james:~# koan --server=cobbler.corni --virt --system f19-gitlab
- looking for Cobbler at http://cobbler.corni:80/cobbler_api
- reading URL: http://10.10.1.1/cblr/svc/op/ks/system/f19-gitlab
install_tree: http://10.10.1.1/cblr/links/f19-x86_64
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/koan/app.py", line 1477, in load_virt_modules
    import xencreate
  File "/usr/lib/python2.7/site-packages/koan/xencreate.py", line 30, in <module>
    import virtinstall
  File "/usr/lib/python2.7/site-packages/koan/virtinstall.py", line 42, in <module>
    from virtinst import osdict
ImportError: No module named virtinst
no virtualization support available, install python-virtinst?

Version-Release number of selected component (if applicable):
2.4.0-1.fc19

How reproducible:
100%

Steps to Reproduce:
1. add a system to cobbler
2. try to install it in a vm via cobbler
3.

Actual results:
the exception above

Expected results:
the installation of the vm starts

Additional info:
Comment 1 Stephen Herr 2013-11-22 15:37:22 EST
There is a patch available upstream.

This issue is replicated in cobbler's issue tracker in
https://github.com/cobbler/cobbler/issues/614

and the patch is available at https://github.com/cobbler/cobbler/pull/652
Comment 2 Orion Poplawski 2013-12-16 15:44:29 EST
koan is a sub-package of cobbler
Comment 3 Fedora Update System 2014-04-21 16:33:19 EDT
cobbler-2.4.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cobbler-2.4.3-1.fc19
Comment 4 Fedora Update System 2014-04-21 16:33:47 EDT
cobbler-2.4.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cobbler-2.4.3-1.fc20
Comment 5 Fedora Update System 2014-04-22 11:33:42 EDT
cobbler-2.4.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.fc20
Comment 6 Fedora Update System 2014-04-22 11:34:50 EDT
cobbler-2.4.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.fc19
Comment 7 Fedora Update System 2014-04-22 11:35:50 EDT
cobbler-2.4.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.el6
Comment 8 Fedora Update System 2014-04-22 11:36:54 EDT
cobbler-2.4.4-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cobbler-2.4.4-1.el5
Comment 9 Fedora Update System 2014-04-22 15:56:12 EDT
Package cobbler-2.4.4-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cobbler-2.4.4-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1211/cobbler-2.4.4-1.el5
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2014-05-03 15:57:16 EDT
cobbler-2.4.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2014-05-08 17:59:25 EDT
cobbler-2.4.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2014-05-08 22:56:31 EDT
cobbler-2.4.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2014-05-09 18:01:35 EDT
cobbler-2.4.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.